#pragma once

#include "main.h"
#include "renderer.h"
#include "math.h"
#include <list>

const unsigned int numChars = 96;



struct lText
{
	char text[256];
	int x, y;
	vector3 color;
	int endTime;
};

class rText
{
public:
	virtual void AttachText(lText lt) = 0;
	virtual bool Draw() = 0;
	list<lText> texts;
	HFONT hFont;
};

class rOGLText : public rText
{
public:
	rOGLText();
	~rOGLText();
	void AttachText(lText LT);
	bool Draw();
private:
	unsigned int fchars;
};
